org.apache.lucene.queryparser.flexible.standard.nodes

## Class StandardBooleanQueryNode

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl
  - - org.apache.lucene.queryparser.flexible.core.nodes.BooleanQueryNode
    - - org.apache.lucene.queryparser.flexible.standard.nodes.StandardBooleanQueryNode

- All Implemented Interfaces:
    Cloneable, QueryNode

      public class StandardBooleanQueryNode
      extends BooleanQueryNode

  A `StandardBooleanQueryNode` has the same behavior as `BooleanQueryNode`. It only indicates if the coord should be enabled or not for this boolean query.
  See Also:
    `Similarity.coord(int, int)`, `BooleanQuery`

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

      `PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardBooleanQueryNode(List<QueryNode> clauses, boolean disableCoord)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isDisableCoord()`

    - ### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.BooleanQueryNode

      `cloneTree, toQueryString, toString`

    - ### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

      `add, add, allocate, clone, containsTag, getChildren, getParent, getTag, getTagMap, isDefaultField, isLeaf, isRoot, removeChildren, removeFromParent, set, setLeaf, setTag, unsetTag`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardBooleanQueryNode

          public StandardBooleanQueryNode(List<QueryNode> clauses,
                                          boolean disableCoord)

  - ### Method Detail

    - #### isDisableCoord

          public boolean isDisableCoord()

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.